# PDOQuerySplitter

Base class for classes that split SQL source into separate queries

author | Alexey Borzov avb@php.net
package | phing.tasks.ext.pdo
version | $Id: 6495638448065ad0fb8da3f3def65aa3fd3199be $

### Methods

## Constructor, sets the parent task and reader with SQL source

    __construct(\PDOSQLExecTask $parent, \Reader $reader)

### Arguments

#### $parent

`\PDOSQLExecTask`

#### $reader

`\Reader`

## Returns next query from SQL source, null if no more queries left

    nextQuery() : string|null

abstract

### Response

`string|null`

### Properties

## Task that uses the splitter

    parent : \PDOSQLExecTask

var |

### Type(s)

`\PDOSQLExecTask`

## Reader with SQL source

    sqlReader : \BufferedReader

var |

### Type(s)

`\BufferedReader`